<?php
// Leer el archivo de preguntas
$preguntas = file('preguntas.txt');

// Obtener el índice de la pregunta que se va a actualizar y el nuevo estado
$index = (int) $_POST['index'];
$nuevoEstado = $_POST['estado'];

// Reprocesar el archivo de texto para actualizar el estado correspondiente
$preguntasProcesadas = [];
$bloquePregunta = [];
foreach ($preguntas as $linea) {
    if (trim($linea) === "") {
        $preguntasProcesadas[] = $bloquePregunta;
        $bloquePregunta = [];
    } else {
        $bloquePregunta[] = $linea;
    }
}
if (!empty($bloquePregunta)) {
    $preguntasProcesadas[] = $bloquePregunta;
}

// Actualizar el estado de la pregunta correspondiente
if (isset($preguntasProcesadas[$index])) {
    $preguntasProcesadas[$index][3] = "Estado: $nuevoEstado\n";
}

// Reescribir el archivo con los cambios
$archivo = fopen('preguntas.txt', 'w');
foreach ($preguntasProcesadas as $pregunta) {
    foreach ($pregunta as $linea) {
        fwrite($archivo, $linea);
    }
    fwrite($archivo, "\n"); // Separador entre preguntas
}
fclose($archivo);

// Redirigir al panel de moderador
header('Location: moderador.php');
exit;
?>
