<?php
// Verificar si se ha pasado el nombre como parámetro en la URL
if (isset($_GET['nombre'])) {
    $nombre = htmlspecialchars($_GET['nombre']); // Sanitizar el nombre
} else {
    $nombre = 'Usuario'; // Nombre por defecto si no está establecido
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pregunta Enviada</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 20px;
            background-color: #f4f4f4;
            text-align: center;
        }
        .mensaje {
            background-color: white;
            padding: 20px;
            border-radius: 5px;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
            display: inline-block;
        }
        h1 {
            margin: 0;
            color: #2196F3;
        }
        .btn-enviar {
            margin-top: 20px;
            background-color: #2196F3;
            color: white;
            border: none;
            padding: 10px 15px;
            border-radius: 4px;
            cursor: pointer;
            font-size: 1rem;
        }
        .btn-enviar:hover {
            background-color: #1976D2;
        }
    </style>
</head>
<body>
    <div class="mensaje">
        <h1>Gracias!</h1>
        <p>Tu pregunta ha sido enviada.</p>
        <a href="formulario.php"> <!-- Cambia 'formulario.php' por la ruta de tu formulario -->
            <button class="btn-enviar">Enviar otra pregunta</button>
        </a>
    </div>
</body>
</html>
